getBrowserPlayerSession
GET
/api/v1/player/browser/session
const url = 'https://example.com/api/v1/player/browser/session';const options = { method: 'GET', headers: {cookie: '__Host-tilecast_player=<__Host-tilecast_player>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/player/browser/session \ --cookie __Host-tilecast_player=<__Host-tilecast_player>Read the active Browser Player identity without exposing cookie material. Requires same-origin HTTPS fetch metadata; no-store.
Authorizations
Section titled “Authorizations”Responses
Section titled “ Responses ”Active Browser Player identity
Media typeapplication/json
object
data
required
object
slotId
required
string format: uuid
bindingId
required
string format: uuid
screenId
required
string format: uuid
screenName
required
string
epoch
required
integer format: int64
expiresAt
required
string format: date-time
Examplegenerated
{ "data": { "slotId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "bindingId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "screenId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "screenName": "example", "epoch": 1, "expiresAt": "2026-04-15T12:00:00Z" }}Browser session invalid or expired
Same-origin HTTPS required